<?xml version='1.0' encoding='UTF-8'?>

<manifest>
  <remote name="aosp" fetch="https://android.googlesource.com/" review="https://android.googlesource.com/" />

  <default revision="master" remote="aosp" sync-j="4" />

  <superproject name="kernel/superproject" remote="aosp" revision="build-tools" />

  <project path="prebuilts/kernel-build-tools" name="kernel/prebuilts/build-tools" clone-depth="1" revision="7ccb53752630292b75c62f7a760c9266f78ddd98" />

  <project path="build/blueprint" name="platform/build/blueprint" revision="0ca2d0cb679810d1ef3a6219d6a45e36bedb94a9" />

  <project path="build/make" name="platform/build" groups="pdk" revision="a2ed2629c6ab9ffa5001e2b1d39171f058968efb">
    <linkfile dest="build/tools" src="tools" />
</project>

  <project path="build/soong" name="platform/build/soong" revision="9b01216088741a437044d9ca32fc7c420d8f627b">
    <linkfile dest="Android.bp" src="root.bp" />

    <linkfile dest="bootstrap.bash" src="bootstrap.bash" />
</project>

  <project path="external/golang-protobuf" name="platform/external/golang-protobuf" revision="0e90566304e7d7d1613d7897b8451c81f842d658" />

  <project path="prebuilts/clang/host/linux-x86" name="platform/prebuilts/clang/host/linux-x86" groups="linux" clone-depth="1" revision="0fc0715d9392ca616605c07750211d7ca71f4e36" />

  <project path="prebuilts/build-tools" name="platform/prebuilts/build-tools" clone-depth="1" revision="726120a5ae386597b8b8b1f79c30c25ff1c5f9de" />

  <project path="prebuilts/gcc/linux-x86/host/x86_64-linux-glibc2.17-4.8" name="platform/prebuilts/gcc/linux-x86/host/x86_64-linux-glibc2.17-4.8" clone-depth="1" revision="007101a451907c5369db5002ddf7b14dcefb7864" />

  <project path="prebuilts/go/linux-x86" name="platform/prebuilts/go/linux-x86" groups="linux" clone-depth="1" revision="e636a02221aa495dad74ebabc5b72fa718ddc581" />

  <project path="prebuilts/ninja/linux-x86" name="platform/prebuilts/ninja/linux-x86" groups="linux" clone-depth="1" revision="8a10824f74fe0e22af9bf314a837f5b70e2bb67f" />

  <project path="bionic" name="platform/bionic" revision="170ae1f96d5ffb7add95426e5a622e4e9b9dbb6d" />

  <project path="external/boringssl" name="platform/external/boringssl" revision="abd455b494b016109d2bfd1ca7a29619fb4c35a3" />

  <project path="external/dwarves" name="platform/external/dwarves" revision="3c8f7e8b2cf7ff902b71c42d00fda30f30114b07" />

  <project path="external/e2fsprogs" name="platform/external/e2fsprogs" revision="f5da2e047cf7e80e542c5a26614e27e753bd4426" />

  <project path="external/elfutils" name="platform/external/elfutils" revision="d8c00f06babe7abeb986b9156adc28c4c7e2f427" />

  <project path="external/erofs-utils" name="platform/external/erofs-utils" revision="0df9f403bc99bb020d449c9b7c9a31db3f814bdd" />

  <project path="external/expat" name="platform/external/expat" revision="01b2b0b20366eb53dcb1b035562d1c1ba3eef5ba" />

  <project path="external/fec" name="platform/external/fec" revision="bb83bf800c7811430b8701d13342e37f3ca8f006" />

  <project path="external/fmtlib" name="platform/external/fmtlib" revision="0c022da6e7ebffb69174b485b16bc6b1c5395aa2" />

  <project path="external/go-cmp" name="platform/external/go-cmp" groups="pdk" revision="a3f99847d9baef8d71f4bb2f488886b93c519944" />

  <project path="external/icu" name="platform/external/icu" revision="1b84b8d58f52e043b04c31ab3f98af2c9f3740ce" />

  <project path="external/libbpf" name="platform/external/libbpf" revision="34977b38c26a48df207c551f90d20cf57041388c" />

  <project path="external/libabigail" name="platform/external/libabigail" revision="922d5b603ab6ec948076a2a2584cc0b1de0e2d06" />

  <project path="external/libcxx" name="platform/external/libcxx" revision="08d4831267add25bc6a376f3ce66928ddded24d3" />

  <project path="external/libcxxabi" name="platform/external/libcxxabi" revision="4b96903904aa97dad7f89f97ee22920cf5a3e112" />

  <project path="external/libxml2" name="platform/external/libxml2" revision="464de8015008b17c096977b0fc0c54dc6b3aaf81" />

  <project path="external/pcre" name="platform/external/pcre" revision="35cca826d10f3d9325a846b3a0f8ab07e25553fe" />

  <project path="external/protobuf" name="platform/external/protobuf" revision="64930e52bfab382bf12e0a1f9ee60a0036b7847d" />

  <project path="external/python/cpython2" name="platform/external/python/cpython2" revision="80d3df0782445a88c1239554f53e94bcc08419e5" />

  <project path="external/python/cpython3" name="platform/external/python/cpython3" revision="09313306516e1ae0a03e0f09a28ddd34bcce9dc5" />

  <project path="external/python/six" name="platform/external/python/six" revision="1ce320a5ce4b9206e0e2b3e008844dcc2ce790b5" />

  <project path="external/selinux" name="platform/external/selinux" revision="e52b1a6bb582fa9a76f5644ff3f335d03e02cabc" />

  <project path="external/sqlite" name="platform/external/sqlite" revision="8e89ecb0991e3dd61ce577c374c99bcd191b2245" />

  <project path="external/squashfs-tools" name="platform/external/squashfs-tools" revision="21319805cad1fa7d9e069fa11db97761cdb0c9f1" />

  <project path="external/starlark-go" name="platform/external/starlark-go" revision="3f012eaf4c5218a4547ed55682358369aadae0be" />

  <project path="external/stg" name="platform/external/stg" revision="3b1ba916cbd5def1ac1c242f63bd21287be7cb06" />

  <project path="external/swig" name="platform/external/swig" revision="0ffab894f917fcbbd031eaab870fbabaefe5daaa" />

  <project path="external/zlib" name="platform/external/zlib" revision="2925aed7a7338bce7e159a37c75d3533277d05bb" />

  <project path="prebuilts/clang-tools" name="platform/prebuilts/clang-tools" clone-depth="1" revision="a7e96bd5fb4ac4d76040b952713795cc9caf523a" />

  <project path="system/core" name="platform/system/core" revision="e0f57d2883d9554ae944e40f4b7fead73a124b8e" />

  <project path="system/logging" name="platform/system/logging" revision="7c5c7094ef903bef02428f873ccd47c90443ba34" />

  <project path="system/extras" name="platform/system/extras" revision="b0e8d3487597d77464edf4f837bb47a51c6aa005" />

  <project path="system/libbase" name="platform/system/libbase" revision="91dd3ec47778ca65e3aae19f194995fbbb174e70" />

  <project path="system/security" name="platform/system/security" revision="066f33a9a6108c099c24bf3bf9112eb259235ddd" />

  <project path="system/tools/aidl" name="platform/system/tools/aidl" revision="41abb4bb83c03a1d775fd154cf93d711d8b8498f" />

  <project path="external/avb" name="platform/external/avb" revision="b56c4cd5526b1e4d4a49a40b88ba5c365bdd7d07" />

  <project path="external/dtc" name="platform/external/dtc" revision="4bd86627f0e9e9e25b5c404c912054154af57e43" />

  <project path="external/lz4" name="platform/external/lz4" revision="bf3f919f0faaf844bde99d44307cdd780e0b35d7" />

  <project path="external/kmod" name="platform/external/kmod" revision="1a0c7d1b8bf8a3378e4a35c49b700a55e3f4d43b" />

  <project path="system/tools/mkbootimg" name="platform/system/tools/mkbootimg" revision="2208a03d874255af1e4eaf6cf7c156fe1dc98943" />

  <project path="tools/libufdt" name="platform/system/libufdt" revision="9cc2027ccc72f78991a03d7879e56cdd20f0abf9" />

  <project path="tools/interceptor" name="kernel/tools/interceptor" revision="e8cfa98602acef64c756e6c77d1de5455843d855" />
</manifest>
